Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 51)
@@ -0,0 +1,732 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Diagnostics;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Linq;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmOrderEntryList
+    {
+        #region 表示オブジェクトの取得
+        /// <summary>
+        /// 表示オブジェクトの取得
+        /// </summary>
+        private void SetDisplayObject()
+        {
+            int DspCtrlCnt = Enum.GetNames(typeof(DspLblCtrlName)).Length;
+            m_DspLabelCtrl = new Control[DspCtrlCnt];
+
+            // ヘッダー情報
+            m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode] = lblLabel01;
+            m_DspLabelCtrl[(int)DspLblCtrlName.ConstName] = lblLabel02;
+            m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace] = lblLabel03;
+
+            m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName] = lblLabel04;
+            m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType] = label17;
+
+            m_DspLabelCtrl[(int)DspLblCtrlName.OrderPrice] = label6;
+            m_DspLabelCtrl[(int)DspLblCtrlName.PurchaseCount] = lblDispCnt01;
+        }
+        #endregion
+
+        #region 工事情報取得処理
+        /// <summary>
+        /// 工事情報取得
+        /// </summary>
+        /// <returns></returns>
+        private bool GetBaseInfoData()
+        {
+            IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
+            try
+            {
+                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
+                if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                cbDB.close(); cbDB = null;
+            }
+        }
+        #endregion
+
+        #region ヘッダー情報の表示
+        /// <summary>
+        /// ヘッダー情報の表示
+        /// </summary>
+        private void DispHeader()
+        {
+            IOConstructionBaseInfoDetail cbidDB = new IOConstructionBaseInfoDetail();
+            try
+            {
+                string strConstrCode = CommonMotions.cnvStringCodeFromInt(m_ConstructionCode, "-", 8);       // 工事コード
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = strConstrCode;
+
+                // 工事基本情報明細・担当者マスタ・工事種別マスタ取得
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILNO, B.DETAILSTRING, C.PERSONCODE, C.PERSONNAME, D.TYPECODE, D.NAMESTRING, A.ORDERSDECISIONPRICE";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B";
+                strSQL += " ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND (B.DETAILNO = {0} OR B.DETAILNO = {1} OR B.DETAILNO = {2} OR B.DETAILNO = {3})",
+                                        (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName,                          // 工事名称
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                    // 工事場所１
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                    // 工事場所２
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                   // 工事場所３
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " LEFT JOIN CONSTRUCTIONTYPEMASTER D ON D.TYPECODE = A.CONSTRUCTIONTYPE";
+                strSQL += " LEFT JOIN CONSTRUCTIONLEDGER E ON E.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY B.DETAILNO ASC";
+
+                ArrayList workList = new ArrayList();
+                if (!cbidDB.ExecuteReader(strSQL, ref workList)) return;
+                string ConstrName = string.Empty;
+                string ConstrPlace = string.Empty;
+                string CreatorName = string.Empty;
+                string ConstructionType = string.Empty;
+                int OrderPrice = 0;
+                foreach (object[] wrkRec in workList)
+                {
+                    switch (CommonMotions.cnvInt(wrkRec[1]))
+                    {
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName:
+                            ConstrName = CommonMotions.cnvString(wrkRec[2]);
+                            break;
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1:
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2:
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3:
+                            ConstrPlace += CommonMotions.cnvString(wrkRec[2]);
+                            break;
+                    }
+                    CreatorName = CommonMotions.cnvString(wrkRec[4]);
+                    ConstructionType = CommonMotions.cnvString(wrkRec[6]);
+                    OrderPrice = CommonMotions.cnvInt(wrkRec[7]);
+                }
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = ConstrName;                    // 工事名称
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = ConstrPlace;                  // 工事場所
+                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = CreatorName;                 // 工事担当者取得
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ConstructionType;       // 工事種別マスタ取得
+                m_DspLabelCtrl[(int)DspLblCtrlName.OrderPrice].Text = OrderPrice.ToString("#,0");   // 受注金額
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                cbidDB.close(); cbidDB = null;
+            }
+        }
+        #endregion
+
+        #region DB読込順
+        /// <summary>
+        /// DB読込順
+        /// </summary>
+        public enum ReadDBColumn
+        {
+            ConstructionCode = 0,
+            FirstString,
+            SecondString,
+            CompanyCode,
+            CompanyName,
+            ExecutionAmount,
+            SourceCode,
+            PurchaseOrderflg,
+            DetailString,
+            ApprovalStatus,
+            PurchaseSeqNo,
+            LedgerLine,
+            OrderNo,
+            PrintoutDate,
+        }
+        #endregion
+
+        #region 一覧検索ＳＱＬ作成
+        /// <summary>
+        /// 一覧検索ＳＱＬ作成
+        /// </summary>
+        /// <param name="strSQL"></param>
+        public void CreateSQL(ref string strSQL, int ParentCode, int SearchCode)
+        {
+            try
+            {
+                strSQL = "SELECT A.CONSTRUCTIONCODE";
+                strSQL += ", A.FIRSTSTRING";
+                strSQL += ", A.SECONDSTRING";
+                strSQL += ", A.COMPANYCODE";
+                strSQL += ", A.COMPANYNAME";
+                strSQL += ", A.EXECUTIONAMOUNT";
+                strSQL += ", A.SOURCECODE";
+                strSQL += ", A.PURCHASEORDERFLG";
+                strSQL += ", B.DETAILSTRING";
+                strSQL += ", IFNULL(C.APPROVALSTATUS, -1) APPVAL";
+                strSQL += ", F.SEQNO";
+                strSQL += ", A.LINECOUNT";
+                strSQL += ", IFNULL(C.ORDERNO, 0)";
+                strSQL += ", DATE_FORMAT(F.PRINTOUTDATE,'%Y/%m/%d')";
+                strSQL += " FROM CONSTRUCTIONLEDGERDETAIL A";
+
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.SOURCECODE";
+                strSQL += string.Format(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+
+                strSQL += " LEFT JOIN PURCHASEORDERDETAIL E ON E.CONSTRUCTIONCODE = A.SOURCECODE";
+
+                strSQL += " LEFT JOIN PURCHASEORDER F ON F.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE AND F.COMPANYCODE = A.COMPANYCODE";
+
+                strSQL += " LEFT JOIN PROCESSAPPROVALDETAIL G ON G.CONSTRUCTIONCODE = F.CONSTRUCTIONCODE AND G.APPROVALCODE = 4 AND G.LINKCODE = F.SEQNO";
+
+                strSQL += " LEFT JOIN PROCESSAPPROVAL C ON C.CONSTRUCTIONCODE = G.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND C.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
+                strSQL += " AND C.ORDERNO = G.ORDERNO AND C.SEQNO = 1";
+
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", ParentCode);
+                if (SearchCode != 0) strSQL += string.Format(" AND A.SOURCECODE = {0}", SearchCode);
+
+                strSQL += string.Format(" AND A.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strSQL += " AND A.COMPANYCODE > 0";
+                strSQL += string.Format(" AND A.COMPANYTYPE <> {0}", (int)CommonDefine.CodeDataType.Person);
+                //strSQL += " AND A.EXECUTIONAMOUNT > 0";
+
+                strSQL += " AND (A.SOURCECODE, A.COMPANYCODE) IN ((SELECT SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE FROM CONSTRUCTIONLEDGERDETAIL SUMTBL";
+                strSQL += string.Format(" WHERE SUMTBL.CONSTRUCTIONCODE = {0}", ParentCode);
+                strSQL += string.Format(" AND SUMTBL.GROUPCOUNT = {0} AND SUMTBL.COMPANYCODE > 0", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strSQL += " GROUP BY SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE";
+                strSQL += string.Format(" HAVING SUM(SUMTBL.EXECUTIONAMOUNT) >= {0})", CommonDefine.s_PrintOutPrice);
+                if (SearchCode == 0)
+                    strSQL += string.Format(" UNION (SELECT POR.CONSTRUCTIONCODE, POR.COMPANYCODE FROM PURCHASEORDER POR WHERE POR.CONSTRUCTIONCODE = {0}))", ParentCode);
+                else
+                    strSQL += string.Format(" UNION (SELECT POR.CONSTRUCTIONCODE, POR.COMPANYCODE FROM PURCHASEORDER POR WHERE POR.CONSTRUCTIONCODE = {0}))", SearchCode);
+
+                strSQL += " GROUP BY";
+                strSQL += " A.CONSTRUCTIONCODE";
+                strSQL += ", A.FIRSTSTRING";
+                strSQL += ", A.SECONDSTRING";
+                strSQL += ", A.COMPANYCODE";
+                strSQL += ", A.COMPANYNAME";
+                strSQL += ", A.EXECUTIONAMOUNT";
+                strSQL += ", A.SOURCECODE";
+                strSQL += ", A.PURCHASEORDERFLG";
+                strSQL += ", B.DETAILSTRING";
+                strSQL += ", C.APPROVALSTATUS";
+                strSQL += ", F.SEQNO";
+                strSQL += ", A.LINECOUNT";
+                strSQL += ", C.ORDERNO";
+                strSQL += ", F.PRINTOUTDATE";
+                strSQL += " ORDER BY A.PURCHASEORDERFLG ASC, A.SOURCECODE ASC, A.COMPANYCODE ASC, APPVAL ASC";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 表示データ取得
+        /// <summary>
+        /// 表示データ取得
+        /// </summary>
+        /// <param name="arList"></param>
+        private void GetDisplayDataList(ref ArrayList arList)
+        {
+            IOConstructionBaseInfoDetail BaseDetailDB = new IOConstructionBaseInfoDetail();
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                bool LimitedDisp = false;
+
+                string strSQL = "";
+                int ParentCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
+                {   // 結合の親工事
+                    ParentCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+                    CreateSQL(ref strSQL, ParentCode, 0);
+                }
+                else if (m_ConstructionBaseInfo.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren)
+                {   // 結合の構成工事
+                    ParentCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+                    CreateSQL(ref strSQL, ParentCode, m_ConstructionCode);
+                }
+                else if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard)
+                {   // 増減工事
+                    ParentCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+                    CreateSQL(ref strSQL, ParentCode, m_ConstructionCode);
+                    LimitedDisp = true;
+                }
+                else
+                {   // 通常工事
+                    CreateSQL(ref strSQL, m_ConstructionCode, 0);               // SQL作成
+                    LimitedDisp = true;
+                }
+
+                // 工事基本情報取得
+                if (!BaseDetailDB.ExecuteReader(strSQL, ref arList)) return;
+
+                if (LimitedDisp)
+                {
+                    // 元工事フィールドを表示しない
+                    int VisbleCount = 0;
+                    foreach (DataGridViewColumn CurCol in dgv.Columns)
+                    {
+                        if (CurCol.Visible) VisbleCount++;
+                    }
+                    if (VisbleCount == 8)
+                    {
+                        dgv.Columns[(int)GridColumn.PurchaseName].Width += dgv.Columns[(int)GridColumn.SourceName].Width;
+                        dgv.Columns[(int)GridColumn.SourceName].Visible = false;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDetailDB.close(); BaseDetailDB = null;
+            }
+        }
+        #endregion
+
+        #region データ表示処理
+        /// <summary>
+        /// 一覧データ表示処理
+        /// </summary>
+        private void DataDisplay()
+        {
+            DataGridView dgv = dgvAllDisplay;
+            try
+            {
+                dgv.Rows.Clear();
+                m_OrderFrm.DetailList.Clear();
+
+                ArrayList arList = new ArrayList();
+                // 表示データ取得
+                GetDisplayDataList(ref arList);
+
+                int iNo = 1;
+                string brkConstrName = string.Empty;
+                string strConstrName = string.Empty;
+                string strCompanyName = string.Empty;
+                int SeqNo = 0;
+                int AppStat = 0;
+                int Orderflg = 0;
+                int ApprovalCnt = 0;
+                int BaseDataCnt = 0;
+                int OrderNo = 0;
+                int LineCount = 0;
+                DateTime Printout = DateTime.Now;
+                bool NotCreateFlg = false;
+                foreach (object[] objRec in arList)
+                {
+                    // 親フォームデータセット
+                    m_OrderFrm.DetailList.Add(objRec);
+
+                    SeqNo = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.PurchaseSeqNo]);
+                    AppStat = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.ApprovalStatus]);
+                    Orderflg = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.PurchaseOrderflg]);
+                    OrderNo = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.OrderNo]);
+                    Printout = CommonMotions.cnvDate(objRec[(int)ReadDBColumn.PrintoutDate]);
+                    LineCount = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.LedgerLine]);
+
+                    strConstrName = CommonMotions.cnvString(objRec[(int)ReadDBColumn.DetailString]);
+                    strCompanyName = CommonMotions.cnvString(objRec[(int)ReadDBColumn.CompanyName]);
+
+                    if (!brkConstrName.Equals(strConstrName)) brkConstrName = strConstrName;
+                    else strConstrName = string.Empty;
+
+                    NotCreateFlg = false;
+                    if (Orderflg == (int)CommonDefine.PurchaseOrderFlg.NotMakingData)
+                    {
+                        NotCreateFlg = true;
+                    }
+
+                    int CurRowCnt = dgv.Rows.Add(iNo++,
+                                                    SeqNo,
+                                                    strConstrName,
+                                                    strCompanyName,
+                                                    "",
+                                                    CommonMotions.cnvInt(objRec[(int)ReadDBColumn.ExecutionAmount]).ToString("#,0"),
+                                                    "",
+                                                    NotCreateFlg,
+                                                    false,
+                                                    CommonMotions.cnvInt(objRec[(int)ReadDBColumn.SourceCode]),
+                                                    CommonMotions.cnvInt(objRec[(int)ReadDBColumn.CompanyCode]),
+                                                    OrderNo,
+                                                    LineCount
+                                                    );
+                    // 行状態セット
+                    ChageRowColor(CurRowCnt, Orderflg, AppStat, Printout, OrderNo, ref  ApprovalCnt, ref BaseDataCnt);
+                    // 対象外は選択できない
+                    if (Orderflg == (int)CommonDefine.PurchaseOrderFlg.NotMakingData)
+                    {
+                        dgv.Rows[CurRowCnt].Cells[(int)GridColumn.SelectExec].ReadOnly = true;
+                    }
+                }
+                m_DspLabelCtrl[(int)DspLblCtrlName.PurchaseCount].Text = string.Format("{0}/{1}", ApprovalCnt, BaseDataCnt);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                int NowRowCnt = dgv.RowCount;
+                if (NowRowCnt < 18) dgv.Rows.Add(18 - NowRowCnt);
+                for (int i = NowRowCnt; i < dgv.RowCount; i++)
+                {
+                    dgv.Rows[i].Cells[(int)GridColumn.NotCreate].ReadOnly = true;
+                    dgv.Rows[i].Cells[(int)GridColumn.SelectExec].ReadOnly = true;
+                }
+            }
+        }
+        #endregion
+
+        #region 行色・状態セット
+        /// <summary>
+        /// 行色・状態セット
+        /// </summary>
+        private void ChageRowColor(int CurRowCnt, int Orderflg, int AppStat, DateTime Printout, int OrderNo,
+                                    ref int ApprovalCnt, ref int BaseDataCnt)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                // 作成回数作成
+                string strCount = string.Empty;
+                if (OrderNo > 0)
+                {
+                    strCount = string.Format("{0}回目", OrderNo);
+                }
+
+                // 注文書状態作成
+                string strCreate = string.Empty;
+                int i = 0;
+                Color wrkColor = Color.White;
+
+                int SeqNo = CommonMotions.cnvInt(dgv.Rows[CurRowCnt].Cells[(int)GridColumn.SeqNo].Value);
+                if (SeqNo == 0)
+                {
+                    if (Orderflg == (int)CommonDefine.PurchaseOrderFlg.NotMakingData)
+                    {
+                        strCreate = DataStatusString[(int)DataStatusNo.NotMaking];
+                        wrkColor = Color.White;
+                        strCount = string.Empty;
+                    }
+                    else
+                    {
+                        strCreate = DataStatusString[(int)DataStatusNo.NoCreate];
+                        wrkColor = Color.White;
+                        strCount = string.Empty;
+                        BaseDataCnt++;
+                    }
+                }
+                else if (SeqNo > 0)
+                {
+                    switch (AppStat)
+                    {
+                        case (int)CommonDefine.ApprovalStatus.Approval:
+                            strCreate = DataStatusString[(int)DataStatusNo.Approvals];
+                            wrkColor = Color.LightGray;
+                            break;
+                        case -1:
+                            strCreate = DataStatusString[(int)DataStatusNo.Making];
+                            wrkColor = Color.LightCyan;
+                            break;
+                        default:
+                            strCreate = DataStatusString[(int)DataStatusNo.Request];
+                            wrkColor = Color.LemonChiffon;
+                            break;
+                    }
+                    if (Printout != DateTime.MinValue.Date) ApprovalCnt++;
+                    BaseDataCnt++;
+                }
+
+                // 作成回数セット
+                dgv.Rows[CurRowCnt].Cells[(int)GridColumn.RequestCount].Value = strCount;
+
+                // 注文書状態セット
+                dgv.Rows[CurRowCnt].Cells[(int)GridColumn.PurchaseExists].Value = strCreate;
+
+                // 行色セット
+                foreach (DataGridViewCell CurCell in dgv.Rows[CurRowCnt].Cells)
+                {
+                    if (i++ < (int)GridColumn.SourceName) continue;
+                    CurCell.Style.BackColor = wrkColor;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region データ選択処理
+        /// <summary>
+        /// データ選択処理
+        /// </summary>
+        private void SelectRowData()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                for (int ix = (m_OrderFrm.DetailList.Count - 1); ix > -1; ix--)
+                {
+                    object[] ObjRec = (object[])m_OrderFrm.DetailList[ix];
+
+                    foreach (DataGridViewRow ChkRow in dgv.Rows)
+                    {
+                        // 画面上でデータを探す
+                        if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.SourceCode])
+                            != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.SourceCode].Value)) continue;
+
+                        if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.CompanyCode])
+                            != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.CompanyCode].Value)) continue;
+
+                        // 作成対象外のチェック
+                        if (!CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.NotCreate].Value))
+                        {
+                            if ((bool)ChkRow.Cells[(int)GridColumn.NotCreate].Value)
+                            {
+                                // 内部データ削除（親フォームのプロパティを編集する）
+                                m_OrderFrm.DetailList.RemoveAt(ix);
+                                break;
+                            }
+                        }
+
+                        // 選択フラグのチェック
+                        if (!CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.SelectExec].Value))
+                        {
+                            if (!(bool)ChkRow.Cells[(int)GridColumn.SelectExec].Value)
+                            {
+                                // 内部データ削除（親フォームのプロパティを編集する）
+                                m_OrderFrm.DetailList.RemoveAt(ix);
+                                break;
+                            }
+                        }
+                        break;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+
+                // 選択エラーチェック
+                bool bNoCreateData = false;
+                bool bMakeingData = false;
+                bool bApprovalData = false;
+                bool bUnMatchOrderNO = false;
+                int OrderNo = -1;
+                int SelectCnt = 0;
+                string CreateStat = string.Empty;
+                foreach (DataGridViewRow CurRow in dgv.Rows)
+                {
+                    // チェック無は処理しない
+                    if (CommonMotions.chkCellBlank(CurRow.Cells[(int)GridColumn.SelectExec].Value)) continue;
+                    if (!(bool)CurRow.Cells[(int)GridColumn.SelectExec].Value) continue;
+
+                    // データ未作成・作成済のチェック
+                    CreateStat = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn.PurchaseExists].Value);
+                    if (CreateStat.Equals(DataStatusString[(int)DataStatusNo.NoCreate])) bNoCreateData = true;
+                    else if (CreateStat.Equals(DataStatusString[(int)DataStatusNo.Approvals])) bApprovalData = true;
+                    else bMakeingData = true;
+
+                    // 受付番号の整合性チェック
+                    if (OrderNo != CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.OrderNo].Value))
+                    {
+                        if (OrderNo > -1) bUnMatchOrderNO = true;
+                        OrderNo = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.OrderNo].Value);
+                    }
+
+                    // データカウント取得
+                    SelectCnt++;
+                }
+
+                if (bNoCreateData && bMakeingData && bApprovalData)
+                {
+                    MessageBox.Show("注文書：新規作成・編集・閲覧は同時にできません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                if (bNoCreateData && bMakeingData)
+                {
+                    MessageBox.Show("注文書：新規作成・編集は同時にできません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                if (bMakeingData && bApprovalData)
+                {
+                    MessageBox.Show("注文書：編集・閲覧は同時にできません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                if (bNoCreateData && bApprovalData)
+                {
+                    MessageBox.Show("注文書：新規作成・閲覧は同時にできません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                if (SelectCnt < 1)
+                {
+                    MessageBox.Show("データが選択されていません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                if (bUnMatchOrderNO)
+                {
+                    MessageBox.Show("作成・編集時に\r\n申請・承認が違うデータは一緒に選択できません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // 新規データ作成フラグセット
+                if (bNoCreateData) m_OrderFrm.CreateData = true;
+                else m_OrderFrm.CreateData = false;
+
+                return bRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 作成対象外フラグ更新
+        /// <summary>
+        /// 作成対象外フラグ更新
+        /// </summary>
+        private void UpdateTargetOut()
+        {
+            IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
+            try
+            {
+                int TargetCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+                // まず作成対象外を元にもどす
+                string strUpdate = string.Format("UPDATE CONSTRUCTIONLEDGERDETAIL SET PURCHASEORDERFLG = {0}", (int)CommonDefine.PurchaseOrderFlg.NoCreate);
+                strUpdate += string.Format(" WHERE CONSTRUCTIONCODE = {0}", TargetCode);
+                strUpdate += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strUpdate += string.Format(" AND PURCHASEORDERFLG = {0}", (int)CommonDefine.PurchaseOrderFlg.NotMakingData);
+                DetailDB.ExecuteNonQuery(strUpdate);
+
+                // 次に作成対象外に設定されたものを更新する
+                strUpdate = string.Format("UPDATE CONSTRUCTIONLEDGERDETAIL SET PURCHASEORDERFLG = {0}", (int)CommonDefine.PurchaseOrderFlg.NotMakingData);
+                strUpdate += string.Format(" WHERE CONSTRUCTIONCODE = {0}", TargetCode);
+                strUpdate += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strUpdate += " AND LINECOUNT IN (";
+                int i = 0;
+                int LineCout = 0;
+
+                foreach (DataGridViewRow CurRow in dgvAllDisplay.Rows)
+                {
+                    if (CommonMotions.chkCellBlank(CurRow.Cells[(int)GridColumn.NotCreate].Value)) continue;
+                    if (!(bool)CurRow.Cells[(int)GridColumn.NotCreate].Value) continue;
+
+                    LineCout = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.LineCount].Value);
+
+                    if (i != 0) strUpdate += ",";
+                    strUpdate += string.Format(" {0}", LineCout);
+                    i++;
+                }
+                strUpdate += ")";
+                DetailDB.ExecuteNonQuery(strUpdate);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                DetailDB.close(); DetailDB = null;
+            }
+        }
+        #endregion
+
+        #region 同一回数行選択処理
+        /// <summary>
+        /// 同一回数行選択処理
+        /// </summary>
+        /// <param name="CurRowCnt"></param>
+        private void GridSelectData(int CurRowCnt)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                
+                // 未作成時は一斉チェックしない
+                if (CommonMotions.cnvString(dgv.Rows[CurRowCnt].Cells[(int)GridColumn.RequestCount].Value).Length == 0)
+                    return;
+                
+                string strExecCnt = CommonMotions.cnvString(dgv.Rows[CurRowCnt].Cells[(int)GridColumn.RequestCount].Value);
+                bool bSelect = (bool)dgv.Rows[CurRowCnt].Cells[(int)GridColumn.SelectExec].Value;
+
+                string CompWork = string.Empty;
+                foreach (DataGridViewRow GetRow in dgv.Rows)
+                {
+                    // 空白行は対象外
+                    if (CommonMotions.cnvString(GetRow.Cells[(int)GridColumn.PurchaseName].Value).Length == 0
+                        && CommonMotions.cnvString(GetRow.Cells[(int)GridColumn.SourceName].Value).Length == 0
+                        && CommonMotions.cnvInt(GetRow.Cells[(int)GridColumn.PurchasePrice].Value) == 0) continue;
+
+                    // 自行は対象外
+                    if (GetRow.Index == CurRowCnt) continue;
+
+                    CompWork = CommonMotions.cnvString(GetRow.Cells[(int)GridColumn.RequestCount].Value);
+                    // 同一申請回数ならばチェックする
+                    if (CompWork.Equals(strExecCnt))
+                    {
+                        GetRow.Cells[(int)GridColumn.SelectExec].Value = bSelect;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
